import { ChangeDetectorRef, EventEmitter, OnInit } from "@angular/core";
import { CommonFunctionService } from "../service/common-function.service";
import { DialogService } from "../service/dialog.service";
import { MessageGroup } from "./constants";
export declare class RsCommentaryComponent implements OnInit {
    cf: CommonFunctionService;
    private dialog;
    private ref;
    constructor(cf: CommonFunctionService, dialog: DialogService, ref: ChangeDetectorRef);
    displayName: string;
    commentData: MessageGroup[];
    editPermission: boolean;
    deletePermission: boolean;
    isReadOnly: boolean;
    filedsKey: {
        commentaries: string;
        messageId: string;
        ownerName: string;
        lastModifiedOn: string;
        messageBody: string;
    };
    dateTimePipeFormat: string;
    actionComplete: EventEmitter<{
        action: "addComment" | "updateComment" | "deleteComment" | "replyComment";
        data: any;
        callback: (result: {
            messageId: string;
        }) => void;
    }>;
    commentVal: string;
    replyVal: string;
    editCommentVal: string;
    translation: any;
    ngOnInit(): void;
    getInfo(): void;
    addComment(): void;
    editComment(item: any): void;
    updateComment(item: any): Promise<void>;
    deleteComment(item: any): void;
    addReply(item: any): void;
    adjustTextareaHeight(e: any): void;
}
